View Issue Details

IDProjectCategoryView StatusLast Update
0013565LazarusLCLpublic2009-10-23 00:40
ReporterIgor Tolstov  Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version0.9.27 (SVN) 
Target Version0.9.28 
Summary0013565: DBGrid with Multiselect not select all
Descriptionfocus first record, press Shift and down

we get 2 record. but if we press down then first record will unselect

see gif attach and sample

TagsNo tags attached.
Fixed in Revision
LazTarget0.9.28
WidgetsetGTK 2
Attached Files

Relationships

related to 0013967 resolvedJoost van der Sluis FPC TMemDataset uses wrong bookmark size 

Activities

2009-04-23 13:31

 

multisel.gif (21,565 bytes)   
multisel.gif (21,565 bytes)   

Jesus Reyes

2009-04-25 20:59

developer   ~0027083

please attach a sample project.

2009-05-13 18:01

 

multiselect.tar.gz (226,070 bytes)

Igor Tolstov

2009-05-19 14:48

reporter   ~0027757

i add it.

samuel herzog

2009-06-15 20:33

developer   ~0028556

I can confirm the problem on win32 with Version SVN 20610.

If I hold key "shift" pressed and press several times the key "Cursor_Down", then some lines get marked and some not.

Jesus Reyes

2009-06-15 21:24

developer   ~0028557

delphifreak have you tested the attached project or your own project?, I think this problem is related to memdataset bookmarks problem reported in report num. 0013967.

samuel herzog

2009-06-16 06:47

developer   ~0028564

I have tested with the attached project.

Igor Tolstov

2009-06-16 07:20

reporter   ~0028565

Jesus Reyes, first time i get this problem with

firebird - UIBDatabase - fbdataset - datasourse - dbGrid

there are more that one problem with bookmarks, but now i can reproduse with memdataset only that.

if add sample with firebird will you try it ?

Luca Olivetti

2009-06-16 08:51

reporter   ~0028566

I can confirm that the problem with the attached program disappears if I hack Memdataset1.Bookmarksize to 4:

type TMyDs=class(TMemDataset);

procedure TForm1.FormShow(Sender. TObject);
var i : Integer;
begin
   TMyDs(MemDataset1).Bookmarksize:=4



Maybe fbdataset also has a problem with bookmarks?

Jesus Reyes

2009-06-17 08:50

developer   ~0028580

Igor Tolstov: sorry, please ask Alexey Lagunov to review the bookmarks handling, I'm sure he knows better the code :) and what it would take me a couple of days he might solve it in a couple of minutes. After he had reviewed his code if there is something to do in dbgrid feel free to reopen this issue, other wise, please close it.

Luca Olivetti: it would be nice if could make a patch for memdataset, if not the bug reports are now linked so Joost can take a look at your findings, thanks.

Issue History

Date Modified Username Field Change
2009-04-23 13:31 Igor Tolstov New Issue
2009-04-23 13:31 Igor Tolstov File Added: multisel.gif
2009-04-23 13:31 Igor Tolstov Widgetset => GTK 2
2009-04-23 13:38 Vincent Snijders LazTarget => 1.0
2009-04-23 13:38 Vincent Snijders Assigned To => Jesus Reyes
2009-04-23 13:38 Vincent Snijders Status new => assigned
2009-04-23 13:38 Vincent Snijders Target Version => 1.0.0
2009-04-25 20:59 Jesus Reyes LazTarget 1.0 => 0.9.28
2009-04-25 20:59 Jesus Reyes Note Added: 0027083
2009-04-25 20:59 Jesus Reyes Status assigned => feedback
2009-04-25 20:59 Jesus Reyes Target Version 1.0.0 => 0.9.28
2009-05-13 18:01 Igor Tolstov File Added: multiselect.tar.gz
2009-05-19 14:48 Igor Tolstov Note Added: 0027757
2009-06-15 20:33 samuel herzog Note Added: 0028556
2009-06-15 21:23 Jesus Reyes Relationship added related to 0013967
2009-06-15 21:24 Jesus Reyes Note Added: 0028557
2009-06-16 06:47 samuel herzog Note Added: 0028564
2009-06-16 07:20 Igor Tolstov Note Added: 0028565
2009-06-16 08:51 Luca Olivetti Note Added: 0028566
2009-06-17 08:50 Jesus Reyes Status feedback => resolved
2009-06-17 08:50 Jesus Reyes Resolution open => no change required
2009-06-17 08:50 Jesus Reyes Note Added: 0028580
2009-10-23 00:40 Marc Weustink Status resolved => closed